# v3+ts+Wot Design Uni

## 1. 项目介绍

本项目是一个基于 uni-app 框架，使用 TypeScript 语言，结合 Wot Design 组件库开发的移动端项目。项目采用模块化开发，分为多个页面和组件，方便维护和扩展。

## 2. 技术栈

- <a href="https://uniapp.dcloud.io">uni-app</a>：跨平台开发框架，支持 iOS、Android、H5、小程序等多种平台。
- <a href="https://www.typescriptlang.org">TypeScript</a>：静态类型语言，提高代码的可维护性和可读性。
- <a href="https://wot-design-uni.pages.dev">Wot Design</a>：基于 Vue 的 UI 组件库，提供丰富的组件和样式，方便快速开发。
- <a href="https://www.tailwindcss.cn">tailwindcss</a>：只需书写 HTML 代码，无需书写 CSS，即可快速构建美观的网站。

## 下载

`node版本需要>=18`
`clone项目地址`
`pnpm install`
`pnpm run dev:mp-weixin`

## 代码提交规范
 `git add .`
 ![alt text](image.png) -运行 `pnpm run commit` 根提示进行下一步

## 特性

- ⚡️ [Vue 3](https://github.com/vuejs/core), [Vite](https://github.com/vitejs/vite), [pnpm](https://pnpm.io/), [esbuild](https://github.com/evanw/esbuild) - 就是快！

- 🗂 [基于文件的路由](./src/pages)

- 📦 [组件自动化加载](./src/components)

- 📑 [布局系统](./src/layouts)

- 🎨 [UnoCSS](https://github.com/unocss/unocss) - 高性能且极具灵活性的即时原子化 CSS 引擎

- 😃 [各种图标集为你所用](https://github.com/antfu/unocss/tree/main/packages/preset-icons)

- 🔥 使用 [新的 `<script setup>` 语法](https://github.com/vuejs/rfcs/pull/227)

- 📥 [API 自动加载](https://github.com/antfu/unplugin-auto-import) - 直接使用 Composition API 无需引入

- 🦾 [TypeScript](https://www.typescriptlang.org/) & [ESLint](https://eslint.org/) - 保证代码质量

- 🐂 [Wot UI](https://github.com/Moonofweisheng/wot-design-uni) - 基于Vue3+TS开发的uni-app组件库，提供70+高质量组件，支持暗黑模式、国际化和自定义主题

- 🎉 [Uni Mini Router](https://github.com/Moonofweisheng/uni-mini-router) - 适用于uni-app&vue3的轻量级路由库

- 🎉 [Uni Mini CI](https://github.com/Moonofweisheng/uni-mini-ci) - 一个小程序端持续集成的插件

- 🎉 [Alova](https://alova.js.org/zh-CN/) - 极致高效的请求工具集
